summaryrefslogtreecommitdiffstats
path: root/source/a/sysklogd/sysklogd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/sysklogd/sysklogd.SlackBuild')
-rwxr-xr-xsource/a/sysklogd/sysklogd.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/source/a/sysklogd/sysklogd.SlackBuild b/source/a/sysklogd/sysklogd.SlackBuild
index 8ff3de9d2..b4b83f869 100755
--- a/source/a/sysklogd/sysklogd.SlackBuild
+++ b/source/a/sysklogd/sysklogd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,12 +21,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.5
+VERSION=1.5.1
BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
*) export ARCH=$( uname -m ) ;;
esac
@@ -54,6 +54,9 @@ find . \
# Use memmove() instead of strcpy() in syslogd.c
zcat $CWD/use_memmove_not_strcpy.diff.gz | patch -p1 --verbose || exit 1
+# Allow -c option to log all (even repeated) messages:
+zcat $CWD/sysklogd.allow.repeated.messages.diff.gz | patch -p1 --verbose || exit 1
+
make all syslog_tst $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/sbin